Skip to main content
PUT
/
employer_benefit_line_items
/
{employer_benefit_line_item}
Update an employer benefit line item
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/employer_benefit_line_items/{employer_benefit_line_item} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_preset_id": "<string>",
  "custom_amount": 123,
  "accrued_vacation_pay": 49999.5,
  "title": "<string>",
  "title_translations": {
    "en": "<string>",
    "fr": "<string>"
  },
  "remittance_account_id": "<string>",
  "expense_accounting_code_id": "<string>",
  "custom_expense_accounting_code_id": "<string>",
  "liability_accounting_code_id": "<string>",
  "custom_liability_accounting_code_id": "<string>",
  "component_settings": {
    "attributes_locked": true
  },
  "external_ref": "<string>",
  "custom_tag_assignment": {
    "is_component_locked": true,
    "tag_allocations": [
      {
        "tags": [
          "<string>"
        ],
        "value": 1
      }
    ]
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/employer_benefit_line_items/{employer_benefit_line_item}"

payload = {
    "business_preset_id": "<string>",
    "custom_amount": 123,
    "accrued_vacation_pay": 49999.5,
    "title": "<string>",
    "title_translations": {
        "en": "<string>",
        "fr": "<string>"
    },
    "remittance_account_id": "<string>",
    "expense_accounting_code_id": "<string>",
    "custom_expense_accounting_code_id": "<string>",
    "liability_accounting_code_id": "<string>",
    "custom_liability_accounting_code_id": "<string>",
    "component_settings": { "attributes_locked": True },
    "external_ref": "<string>",
    "custom_tag_assignment": {
        "is_component_locked": True,
        "tag_allocations": [
            {
                "tags": ["<string>"],
                "value": 1
            }
        ]
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    business_preset_id: '<string>',
    custom_amount: 123,
    accrued_vacation_pay: 49999.5,
    title: '<string>',
    title_translations: {en: '<string>', fr: '<string>'},
    remittance_account_id: '<string>',
    expense_accounting_code_id: '<string>',
    custom_expense_accounting_code_id: '<string>',
    liability_accounting_code_id: '<string>',
    custom_liability_accounting_code_id: '<string>',
    component_settings: {attributes_locked: true},
    external_ref: '<string>',
    custom_tag_assignment: {is_component_locked: true, tag_allocations: [{tags: ['<string>'], value: 1}]}
  })
};

fetch('https://sandbox.nmbr.co/services/payroll/employer_benefit_line_items/{employer_benefit_line_item}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<id>",
  "object": "employer_benefit_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "employer_benefit",
    "is_managed": false,
    "amount": 35,
    "custom_amount": null,
    "managed_amount": 35,
    "employer_benefit_type": {
      "id": "<id>",
      "object": "employer_benefit_type",
      "data": {
        "type": "health",
        "label": "Health"
      },
      "links": {
        "self": "/employer_benefit_types/health"
      }
    },
    "recurrence": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "remittance_account_id": null,
    "remittance_account": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/employer_benefit_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employer_benefit_line_item
string
required

Body

application/json
business_preset_id
string

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

employer_benefit_type
enum<string>

The type of Employer Benefit for this line item.

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

Available options:
accident_insurance_plan,
critical_illness,
debt_relief,
dental,
employee_assistance_program,
fondaction,
fondaction_rrsp,
fonds_solidarite_ftq,
fonds_solidarite_ftq_rrsp,
gift_near_cash,
gift_non_cash_non_taxable,
gift_non_cash_taxable,
group_dependent_life_insurance,
group_term_life_insurance,
health,
health_spending_account,
long_term_disability,
meals_subsidized_non_cash,
non_group_long_term_disability,
non_group_short_term_disability,
parking,
pension_dbpp,
pension_dcpp,
pension_mfpp,
pension_prpp,
pension_restricted_rrsp,
pension_rrsp,
pension_unregistered_prpp,
pension_vrsp,
professional_membership,
profit_sharing_dpsp,
savings_tfsa,
second_opinion_medical_consultation,
short_term_disability,
transit_pass,
transportation_to_from_work,
vehicle_employer_provided,
virtual_health_service,
wellness_spending_account
custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Editing is prevented when is_editable is false

Required range: x <= 99999
accrued_vacation_pay
number<decimal>

The vacation pay accrued on this line item, calculated based on the Work Assignment's Vacation Pay Settings.

Required range: 0 <= x <= 99999
title
string | null

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

Maximum string length: 255
title_translations
object | null

Optional translations for the title property.

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

remittance_account_id
string

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

expense_accounting_code_id
string

Writing may be blocked when entity is managed by a parent resource

custom_expense_accounting_code_id
string
liability_accounting_code_id
string

Writing may be blocked when entity is managed by a parent resource

custom_liability_accounting_code_id
string
component_settings
object
external_ref
string
Maximum string length: 255
custom_tag_assignment
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("employer_benefit_line_item").

data
Employer Benefit Line Item · object